Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.plugins
Class PluginManager

    java.lang.Object
      org.neo4j.server.plugins.PluginManager

All Implemented Interfaces:
  PluginInvocator, ExtensionInjector

    public final class PluginManager

extends Object
implements ExtensionInjector, PluginInvocator

Constructor Summary
`PluginManager(org.apache.commons.configuration.Configuration serverConfig)`

Method Summary
`ExtensionPointRepresentation` | `describe(String name, Class<?> type, String method)`
`List<ExtensionPointRepresentation>` | `describeAll(String name)`
`Set<String>` | `extensionNames()`
`Map<String,List<String>>` | `getExensionsFor(Class<?> type)`
`
`<T> Representation`
` | `invoke(AbstractGraphDatabase graphDb, String name, Class<T> type, String method, T context, ParameterList params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginManager

    public PluginManager(org.apache.commons.configuration.Configuration serverConfig)

Method Detail

### getExensionsFor

    public Map<String,List<String>> getExensionsFor(Class<?> type)

  Specified by:
    `getExensionsFor` in interface `ExtensionInjector`

### describe

    public ExtensionPointRepresentation describe(String name,
                                                 Class<?> type,
                                                 String method)
                                          throws PluginLookupException

  Specified by:
    `describe` in interface `PluginInvocator`
  Throws:
    `PluginLookupException`

### describeAll

    public List<ExtensionPointRepresentation> describeAll(String name)
                                                   throws PluginLookupException

  Specified by:
    `describeAll` in interface `PluginInvocator`
  Throws:
    `PluginLookupException`

### invoke

    public <T> Representation invoke(AbstractGraphDatabase graphDb,
                                     String name,
                                     Class<T> type,
                                     String method,
                                     T context,
                                     ParameterList params)
                          throws PluginLookupException,
                                 BadInputException,
                                 PluginInvocationFailureException,
                                 BadPluginInvocationException

  Specified by:
    `invoke` in interface `PluginInvocator`
  Throws:
    `PluginLookupException`
    `BadInputException`
    `PluginInvocationFailureException`
    `BadPluginInvocationException`

### extensionNames

    public Set<String> extensionNames()

  Specified by:
    `extensionNames` in interface `PluginInvocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.